@charset 'utf-8';
@import url('https://fonts.googleapis.com/css?family=Share:400i,700i');
@import url('https://fonts.googleapis.com/css2?family=Bodoni+Moda:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
@import url('bootstrap.min.css');

html, body {
    height: 100%;
}

body {
  
    overflow-x: hidden;
}
.text-special{
    font-family: 'Bodoni Moda', serif;
}
.cover-site {
    min-width: 100%;
    min-height: 100%;
    position: fixed;
    background: url('../img/background.jpg') no-repeat;
    background-position: center;
    background-size: cover;
    transition: background-image 1s;
    background-position: center;
    background-attachment: fixed;
}
footer {
    z-index: 5;
}
#bgCover {
    min-width: 100%;
    min-height: 100%;
    position: absolute;
    background-position: center;
    background-size: cover;
    transition: background-image 1s;
    background-position: center;
    background-attachment: fixed;
    z-index: 1;
}
.bg-dark {
    background-color: rgb(0 0 0 / 40%) !important

}
.bg-mask {
    min-width: 100%;
    min-height: 100%;
    position: absolute;
    background: radial-gradient(rgba(0, 0, 0, .5) 20%, #000 85%);
    z-index: 2;
}
header{
    z-index: 1;
    position: relative;
}
.header-content {
    padding: 1rem 0rem; /* Aggiunge spazio sopra e sotto all'interno dell'header */
}
.icon-text {
    color: #fff; /* Colore testo bianco */
}
.web-player {
    height: 100%;
    color: #fff;
    padding: 5px;
    position: relative;
    z-index: 3;
}

.cover-album {
    width:320px !important ;
    height: 320px !important;   
    margin: auto;
    background: url('../img/bg-capa.jpg') no-repeat;
    background-size: cover;
    border: 1px solid #383838;
    box-shadow: 0px 5px 10px 3px rgba(0, 0, 0, 0.4);
    transition: background-image 1s;
    margin-bottom: 15px;
}

.watermark {
    width: 89px;
    height: 35px;
    background: url(../img/logo.png) no-repeat;
    background-size: auto 35px;
    opacity: 0.5;
    position: relative;
    bottom: 36px;
    right: -1px;
    z-index: 5;
}

#currentCoverArt {
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    transition: background-image 1s;
}

.logo {
    display: none;
}

.info-current-song {
    font-family: 'Share', sans-serif;
    text-align: center;
}

.info-current-song h2 {
    font-size: 22px;
    font-weight: 700;
}

.info-current-song h3 {
    font-size: 18px;
    font-weight: 400;
}

.play-pause {
    font-size: 65px;
}

.play-pause i {
    cursor: pointer;
}

.volume-icon {
    font-size: 28px;
    margin-top: -5px;
    margin-right: 10px;
}



.volume-control {
    display: none;
}

.vagalume a {
    color: #fff;
    text-decoration: underline;
}

.lyrics {
    text-transform: uppercase;
    text-decoration: underline;
    color: #fff;
    font-size: 1em;
    font-weight: 400;
    outline: none;
    transition: .3s;
}

.lyrics:active {
    text-decoration: none;
    color: #fff;
}

.lyrics:visited {
    text-decoration: none;
    color: #fff;
}

.modal-content {
    background-color: rgba(0, 0, 0, 0.8);
    color: #fff !important;
    border-radius: 0;
}

.modal-content .btn {
    border-radius: 0;
}

/* Chrome */
input[type=range] {
    -webkit-appearance: none;
    background: transparent;
    width: 100%;
}

input[type=range]:focus {
    outline: none;
}

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 5px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    background: #fff;
}

input[type=range]::-webkit-slider-thumb {
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -8px;
}

/* Firefox */
input[type=range]::-moz-range-track {
    width: 100%;
    height: 5px;
    cursor: pointer;
    animate: 0.2s;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    background: #fff;
}

input[type=range]::-moz-range-thumb {
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    border: 0px solid #000000;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
}

/* IE e Edge */
input[type=range]::-ms-track {
    width: 100%;
    height: 5px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    border-width: 10px 0;
    top: -10px;
    color: transparent;
}

input[type=range]::-ms-fill-lower {
    background: #fff;
    border: 0px solid #000101;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
}

input[type=range]::-ms-fill-upper {
    background: #fff;
    border: 0px solid #000101;
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
}

input[type=range]::-ms-thumb {
    box-shadow: 0px 0px 0px #000000, 0px 0px 0px #0d0d0d;
    border: 0px solid #000000;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: #fff;
    cursor: pointer;
}


.historic h2 {
    color: #fff;
    border-bottom: 2px solid #fff;
    font-size: 16px;
    font-weight: bold;
    text-transform: uppercase;
    margin: 10px 0;
}

.historic article {
    margin: 5px 0;
}

.historic .cover-historic {
    width: 95px;
    height: 95px;
    margin-right: 15px;
    float: left;
    background: url('../img/bg-capa.jpg') no-repeat;
    background-size: cover;
    border: 1px solid #383838;
    box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.3);
    transition: background-image 1s;
}

.historic .music-info {
    color: #fff;
    font-family: 'Share', sans-serif;
}

.historic .music-info .song {
    width: 100%;
    font-weight: bold;
    font-size: 20px;
    text-transform: uppercase;
    margin-bottom: -5px;
}

@media(max-width: 370px) {
    .cover-album {
        max-width: 100%;
    }
}

@media(min-width: 576px) {
    .volume-control {
        display: flex;
    }

    .call-lyrics {
        margin-top: 20px;
    }
}

@media(min-width: 768px) {
    body {
        align-items: center;
    }

    .h1-logo {
        text-align: center;
    }

    .logo {
        display: block;
        z-index: 2;
    }

    .logo img {
        max-width: 200px;
    }

    .web-player {
        height: auto;
        margin-top: 0;
    }

    .cover-album {
        margin: 10px auto;
        min-width: 320px;
        height: 320px;
    }

    .logo img {
        max-width: 300px;
        margin: 65px 0;
    }

    .info-current-song {
        margin-top: 50px;
        text-align: left;
    }

    .volume-control {
        margin-top: 8%;
    }
}


.content-wrap {
    flex-grow: 1; /* Occupa lo spazio disponibile */
    display: flex;
    align-items: center; /* Allinea verticalmente al centro */
    justify-content: center; /* Allinea orizzontalmente al centro */
    overflow: auto; /* Gestisce il contenuto che supera l'altezza */
}
footer {
    background-color: #000;
    position: fixed;
    bottom: 0;
    width: 100%;
}
.social > a {
    min-width: 50px;
    text-align: center;
    margin: 0 8px !important;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}
.n_verde {
    margin-left: 20px;
}
footer {
    font-size: 12px;
}
a:hover {
    text-decoration: none;
}
@media (max-width: 768px) {
    
    header .container {
        text-align: center;
    }
    header .social {
        justify-content: center; /* Centra gli elementi social */
    }
    span.separator {
        display: none !important;
    }
    main {
        margin-top: 20px !important;
    }
    .logo-light{
        width:260px;
        margin-bottom: 45px !important;
    }
    .cover-album {
        width: 150px !important;
        height: 150px !important;
    }
    footer {
        position: fixed;
    }
    .header-content{
        padding-right: 15px;
    padding-left: 15px;
    }
    .numero_verde {
        position: fixed;
        bottom: 115px;
        right: 10px;
        width: 100px;
    }
    .n_verde{
        margin-left: 0;
    }
    object {
        display: none;
    }
    .social > a{
        font-size: 10px !important;
        margin: 0 !important;
    }
.contact{
    display:none !important;
}
    .contact_mobile{
        display: block !important;
        margin-top: 20px;
        font-family: 'Poppins', sans-serif;
    }
    footer{padding-left:20px; padding-right:20px;}
}

.contact {
    font-family: 'Poppins', sans-serif;
    font-size: 18px !important;
}

.list_contact a{
    display: flex;
    align-items: center;
    display: flex;
    justify-content: center;
}
.list_contact i{
    font-size: 20px;
}